let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/g202krw45y4h39c7j87zcsfj41symwrh-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/7h5vh8dh278il7qhk6xjdy6p6pafn3ay-coreutils-8.30/bin";
  bzip2 = "/nix/store/f0kckd0j6jdgjkd5n1fl98i9bss9cgcn-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/56n7pn8z72j6cbzxkpyp29fbs07c08ri-gzip-1.10/bin/gzip";
  xz = "/nix/store/4mjnl1ycqnl66l4lrdw1dqhdq3d4pdpd-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/alsa413qns4l3pp2snrdalr5qsivzxyx-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/7h5vh8dh278il7qhk6xjdy6p6pafn3ay-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/6639l9815ggdnb4aka22qcjy7p8w4hb9-nix-2.3.1/bin";
  nixPrefix = "/nix/store/6639l9815ggdnb4aka22qcjy7p8w4hb9-nix-2.3.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/6639l9815ggdnb4aka22qcjy7p8w4hb9-nix-2.3.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
